<?php
/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2007 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/
require_once('modules/ModuleBuilder/MB/AjaxCompose.php');
require_once('modules/ModuleBuilder/MB/ModuleBuilder.php');
require_once('modules/ModuleBuilder/views/view.relationship.php');
 class ViewRelationships extends SugarView{
 	function ViewRelationships(){
 		parent::SugarView();
 	}
 	
 	function display(){
 		$smarty = new Sugar_Smarty();
		$module_name = $_REQUEST['view_module'];
		$mb = new ModuleBuilder();
		$this->module =& $mb->getPackageModule($_REQUEST['view_package'], $_REQUEST['view_module']);
		$package = $mb->packages[$_REQUEST['view_package']];
		$this->loadRelationshipHelp($_REQUEST['view_module']);
		$ajax = new AjaxCompose();
		$smarty->assign('module', $this->module);
		$smarty->assign('mod_strings', $GLOBALS['mod_strings']);
		//////////////////////////////////////////
		//ASSISTANT
		$smarty->assign('assistant', array('group'=>'module', 'key'=>'viewrelationships'));
		////////////////////////////////////////
		//ASSISTANT
		
		$ajax->addCrumb($GLOBALS['mod_strings']['LBL_MODULEBUILDER'], 'ModuleBuilder.main("mb")');
		$ajax->addCrumb($package->name,'ModuleBuilder.getContent("module=ModuleBuilder&action=package&package='.$package->name.'")');
		$ajax->addCrumb($module_name, 'ModuleBuilder.getContent("module=ModuleBuilder&action=module&view_package='.$package->name.'&view_module='. $module_name . '")');
		$ajax->addCrumb($GLOBALS['mod_strings']['LBL_RELATIONSHIPS'], '');
		$ajax->addSection('center', $this->module->name.' '.$GLOBALS['mod_strings']['LBL_RELATIONSHIPS'],$smarty->fetch('modules/ModuleBuilder/tpls/MBRelationship/relationships.tpl'));
		echo $ajax->getJavascript();
 	}
 	
 	function loadRelationshipHelp($name){
 			$this->module->help['default'] = (empty($name))?'create':'modify';
 			$this->module->help['group'] = 'module';
 	}
 }
?>
